# Generated from astropanel-1.1.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name astropanel

Name: rubygem-%{gem_name}
Version: 1.1.6
Release: 1%{?dist}
Summary: Terminal program for amateur astronomers with weather forecast
License: Unlicense
URL: https://isene.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This program shows essential data in order to plan your observations: 9 days
weather forecast, full ephemeris for the Sun, the Moon and all major planets,
complete with graphic representation of rise/set times, detailed info for each
day with important astronomical events, star chart displayed in the terminal
and more. New in 1.1.6: Dropped the '.rb' suffix.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/astropanel
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Apr 18 2022 mockbuilder - 1.1.6-1
- Initial package
